Package htsjdk.samtools

# Enum Class ValidationStringency

java.lang.Object
java.lang.Enum<ValidationStringency>
htsjdk.samtools.ValidationStringency

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidationStringency>`, `Constable`

public enum ValidationStringency extends Enum<ValidationStringency>
How strict to be when reading a SAM or BAM, beyond bare minimum validation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LENIENT`
Emit warnings but keep going if possible.
`SILENT`
Like LENIENT, only don't emit warning messages.
`STRICT`
Do the right thing, throw an exception if something looks wrong.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ValidationStringency`
`DEFAULT_STRINGENCY`

## Method Summary

Modifier and Type
Method
Description
`static ValidationStringency`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ValidationStringency[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICT

public static final ValidationStringency STRICT
Do the right thing, throw an exception if something looks wrong.

### LENIENT

public static final ValidationStringency LENIENT
Emit warnings but keep going if possible.

### SILENT

public static final ValidationStringency SILENT
Like LENIENT, only don't emit warning messages.

## Field Details

### DEFAULT_STRINGENCY

public static final ValidationStringency DEFAULT_STRINGENCY

## Method Details

### values

public static ValidationStringency[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ValidationStringency valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null